<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProcessHistories extends Model
{
    use HasFactory;

    protected $fillable = [
        'images', 'step_file_name', 'started_at', 'finished_at', 'processed_count', 'stages_timing'
    ];

    protected $casts = [
        'images' => 'array',
        'stages_timing' => 'array',
        'started_at' => 'datetime',
        'finished_at' => 'datetime'
    ];
}
